String name="ios7";

//DONT CHANGE CODE BELOW

PImage testimage;
int dotsize=25,maxLocations=100,locationNumber=1,rectwidth=30,rectheight=30,stpsize=5;
int pos[][],finalpos[][];
PrintWriter output;

void setup() {
  pos = new int[4][maxLocations];
  testimage=loadImage(name+"/image.png");
  size(testimage.width,testimage.height);
  noCursor();
}


void draw() {
  image(testimage,0,0);
  
  rectMode(CENTER);
  noFill();  // Set fill to gray
  strokeWeight(3);
  stroke(255,0,0);
  rect(mouseX,mouseY,rectwidth,rectheight);
  
  for (int i = 0; i < locationNumber; i = i+1) {
  strokeWeight(3);
  stroke(128);
  noFill();
  rect(pos[0][i],pos[1][i], pos[2][i], pos[3][i]);
}
  
}

void mouseClicked() {
    pos[0][locationNumber]=mouseX;
    pos[1][locationNumber]=mouseY;
    pos[2][locationNumber]=rectwidth;
    pos[3][locationNumber]=rectheight;
    locationNumber++;
    
  }
 

void keyPressed() {

  if (key == CODED){
    if (keyCode == UP){
      rectheight=rectheight+stpsize;
    }
     if (keyCode == DOWN){
       rectheight=rectheight-stpsize;
    }
        if (keyCode == LEFT){
      rectwidth=rectwidth+stpsize;
    }
     if (keyCode == RIGHT){
       rectwidth=rectwidth-stpsize;
    }
  }
    
  if (key == 'q') {
    String[] outlines = new String[locationNumber-1];
      for (int i = 0; i < locationNumber-1; i = i+1) {
        outlines[i] = pos[0][i+1] + "\t" +pos[1][i+1]+ "\t" +pos[2][i+1]+ "\t" +pos[3][i+1];
      }
      saveStrings(name+"/data.dat", outlines);
     
 
  
  exit();
  }
}

