String name="ios7";
String observer="klaas";

PImage testimage;
int dotsize=25, maxLocations=100, locationNumber=1, rectwidth=30, rectheight=30, stpsize=5, nLines;
int pos[][], finalpos[][];
//PrintWriter output;
String[] lines;
int[][] rectdat;
int showTarget=1;
int paddingWidth=200;
int leftRight=1;
int trial=0;
int periX;
int data[][];

void setup() {
  testimage=loadImage(name+"/image.png");
  size(testimage.width+2*paddingWidth, testimage.height);
  lines=loadStrings(name+"/data.dat");
  nLines = lines.length;
  rectdat = new int[4][lines.length];
  noCursor();
  for (int i = 0; i < lines.length; i++) {
    String[] pieces = split(lines[i], '\t');
    rectdat[0][i]=int(pieces[0])+paddingWidth;
    rectdat[1][i]=int(pieces[1]);
    rectdat[2][i]=int(pieces[2]);
    rectdat[3][i]=int(pieces[3]);
  }
  data = new int[5][nLines];
}


void draw() {
  fill(128);
  noStroke();
  rect(0, 0, testimage.width+2*paddingWidth, testimage.height);
  image(testimage, paddingWidth, 0);
  ellipseMode(CENTER);

  showPeriProbe(trial);
  if (showTarget==1){
  targetCross(trial);
  }
}

void keyReleased(){
    showTarget=1;
 if (leftRight==1){
    data[0][trial]=trial+1;
    data[1][trial]=rectdat[0][trial];
    data[2][trial]=rectdat[1][trial];
    data[3][trial]=periX-rectdat[0][trial];
    leftRight=2;}
    else {
      data[4][trial]=periX-rectdat[0][trial];
      trial=trial+1;
      leftRight=1;
    }
    if (trial>nLines-1){
      String[] outlines = new String[nLines];
          for (int i = 0; i < nLines; i = i+1) {
             outlines[i] = data[0][i] + "\t" +data[1][i]+ "\t" +data[2][i]+ "\t" +data[3][i]+ "\t" +data[4][i];
           }
           saveStrings(name+"/"+observer+"conspicuity.dat", outlines);
          exit();
      }
  
}

void mouseClicked(){
 if (showTarget==1){
  showTarget=0;}
 else {showTarget=1;} 
}

void showPeriProbe(int k) {
  noStroke();
  fill(0);
  if (leftRight==1) {
    if (mouseX>rectdat[0][k]) {
      periX=rectdat[0][k];
    } 
    else {
      periX=mouseX;
    }
  } else  {
    if (mouseX<rectdat[0][k]) {
      periX=rectdat[0][k];
    } 
    else {
      periX=mouseX;
    }
  }
  
  
  fill(255);
  ellipse(periX, rectdat[1][k], 20, 20);
  fill(0);
  ellipse(periX, rectdat[1][k], 10, 10);
}

void targetCross(int k) {
  int x=rectdat[0][k];
  int y=rectdat[1][k];
  int w1=round(rectdat[2][k]/2);
  int w2=w1+20;
  int w3=round(rectdat[3][k]/2);
  int w4=w3+20;

  if (leftRight==1) {
    stroke(0, 255, 0);
    strokeWeight(4);
    line(x-w1, y, x-w2, y);
    stroke(255, 0, 0);
    strokeWeight(4);
    line(x+w1, y, x+w2, y);
    line(x, y-w3, x, y-w4);
    line(x, y+w3, x, y+w4);
  }
  else {
    stroke(0, 255, 0);
    strokeWeight(4);
    line(x+w1, y, x+w2, y); 
    stroke(255, 0, 0);
    strokeWeight(4);
    line(x-w1, y, x-w2, y);
    line(x, y-w3, x, y-w4);
    line(x, y+w3, x, y+w4);
  }
}

